﻿@model WebAppLibrary.Models.DAO.Loan

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Loan</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Id" class="control-label"></label>
                <input readonly asp-for="Id" class="form-control" />
                <span asp-validation-for="Id" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label class="control-label" asp-for="LoanDate"></label>
                <input class="form-control" asp-for="LoanDate" />
                <span asp-validation-for="LoanDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label class="control-label" asp-for="ReturnDate"></label>
                <input class="form-control" asp-for="ReturnDate" />
                <span asp-validation-for="ReturnDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label class="control-label" asp-for="User"></label>
                <select class="form-select" asp-for="User.Id" asp-items="ViewBag.UsersList" ></select>
                <span asp-validation-for="User.Id" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label class="control-label" asp-for="Book"></label>
                <select class="form-select" asp-for="Book.Id" asp-items="ViewBag.BooksList"></select>
                <span asp-validation-for="Book.Id" class="text-danger"> </span>
            </div>

            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
